Bug 806664 - "ifup XXX" (really 'nmcli con') results in "Error: Can't obtain connections: settings service is not running."
"ifup XXX" (really 'nmcli con') results in "Error: Can't obtain connections: ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
17
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F17Beta-accepted/F17BetaFreezeExcept
  Show dependency treegraph
 
Reported: 2012-03-25 17:13 EDT by Andre Robatino
Modified: 2012-04-08 10:53 EDT (History)
10 users (show)

See Also:
Fixed In Version: NetworkManager-0.9.4.0-1.git20120328.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-29 00:13:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2012-03-25 17:13:13 EDT
Description of problem:
When I run the command "ifup XXX" (where XXX is the network device name, for example eth0 in a default KVM install, or p2p1 for VirtualBox) I get the error

Error: Can't obtain connections: settings service is not running.

This happens whether the network is up or down initially. If the network is initially down, it stays down. I see it with both a minimal install and a full graphical install (both updated).

Version-Release number of selected component (if applicable):
initscripts-9.37-1.fc17

How reproducible:
always
Comment 1 Andre Robatino 2012-03-25 17:18:56 EDT
Interestingly, in Rawhide with initscripts-9.37-1.fc18, I get a different error:

[root@localhost ~]# ifup p2p1

GLib-WARNING **: (gerror.c:390):g_error_new_valist: runtime check failed: (domain != 0)
Error: No suitable device found: no device found for connection 'System p2p1'.
Comment 2 Adam Williamson 2012-03-26 11:17:08 EDT
Note that ifup blah redirects to nmcli (nmcli con something something), which is what's actually giving the error. Trying many nmcli commands gives the error.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Adam Williamson 2012-03-26 13:46:12 EDT
Discussed at 2012-03-26 QA meeting acting as a blocker review meeting. As the impact of this bug combined with 806466 is broadly the same as #804716 for TC2, and we took 804716 as NTH, we agreed that this bug and 806466 should be accepted as NTH but rejected as blockers.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Adam Williamson 2012-03-27 17:50:17 EDT
I can reproduce this with any F17 install and on my desktop. Any 'nmcli con' command seems to return this error, run as root or regular user.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Dan Winship 2012-03-27 18:00:30 EDT
That fix is wrong though. (It fixes this problem, but it undoes all the earlier work to make it possible to initialize NM asynchronously.)
Comment 7 Fedora Update System 2012-03-28 04:47:13 EDT
NetworkManager-0.9.4.0-1.git20120328.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.4.0-1.git20120328.fc17
Comment 8 Fedora Update System 2012-03-29 00:13:53 EDT
NetworkManager-0.9.4.0-1.git20120328.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Andre Robatino 2012-03-29 00:16:23 EDT
Confirmed fixed in VirtualBox minimal GUI DVD installs of Beta RC2 (i386 and x86_64). "ifup p2p1" works.

Note You need to log in before you can comment on or make changes to this bug.